var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

import _JSXStyle from 'styled-jsx/style';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';

var Book = function (_React$PureComponent) {
  _inherits(Book, _React$PureComponent);

  function Book() {
    _classCallCheck(this, Book);

    return _possibleConstructorReturn(this, (Book.__proto__ || Object.getPrototypeOf(Book)).apply(this, arguments));
  }

  _createClass(Book, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          insideIcon = _props.insideIcon,
          frontIcon = _props.frontIcon;

      return React.createElement(
        'svg',
        { xmlns: 'http://www.w3.org/2000/svg', width: size, height: size, viewBox: '0 0 64 64', 'data-jsx': 2090006897
        },
        React.createElement(
          'g',
          { stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', 'data-jsx': 2090006897
          },
          React.createElement(
            'g',
            {
              'data-jsx': 2090006897
            },
            React.createElement(
              'g',
              {
                'data-jsx': 2090006897
              },
              React.createElement('path', { d: 'M45,47.4093122 C44.9089135,50.5489171 42.1925738,53.0253028 38.9275766,52.9453143 L10.7567317,52.9453143 C7.57737656,52.9453143 5,50.4667617 5,47.4093122 L5,16.4850853 C5,13.4276357 7.57737656,10.9490832 10.7567317,10.9490832 L38.9275766,10.9490832 C42.1925738,10.8690947 44.9089135,13.3454804 45,16.4850853 L45,47.4093122 Z', fill: '#49497F', fillRule: 'nonzero', 'data-jsx': 2090006897
              }),
              React.createElement('path', { d: 'M42.9980985,45.222678 C43.0781862,48.1736477 40.6184253,50.6277206 37.5032136,50.7048566 L11.0182414,50.7048566 C9.881064,50.6893701 8.7972686,50.2453083 8.00662227,49.4709108 C7.21597594,48.6965133 6.78365048,47.6556123 6.80528886,46.5784856 L6.80528886,13.231513 C6.78365048,12.1543862 7.21597594,11.1134853 8.00662227,10.3390877 C8.7972686,9.5646902 9.881064,9.12062849 11.0182414,9.10514196 L37.5032136,9.10514196 C40.6184253,9.18227795 43.0781862,11.6363509 42.9980985,14.5873206 L42.9980985,45.222678 Z', fill: '#F6F6F6', fillRule: 'nonzero', 'data-jsx': 2090006897
              }),
              React.createElement(
                'g',
                { strokeWidth: '1', fillRule: 'evenodd', transform: 'translate(11.000000, 3.000000)', 'data-jsx': 2090006897
                },
                React.createElement('polygon', { fill: '#F06361', fillRule: 'nonzero', points: '12 2.29175165 12 53 8.20909208 51.3072828 4.42321857 53 4.3828125 2.29175165', 'data-jsx': 2090006897
                }),
                React.createElement('path', { d: 'M2.59277721,0 L10.2339318,0 L12,2.29175165 L0.867191961,2.29175165 C0.867191961,2.29175165 0.85201086,0 2.59277721,0 Z', fill: '#C64757', fillRule: 'nonzero', 'data-jsx': 2090006897
                }),
                React.createElement('path', { d: 'M2.625,0 L10.2399812,0 C10.2399812,0 12,0 12,2.29175165 L4.410234,2.29175165 C4.410234,2.29175165 4.4253631,0 2.625,0 Z', fill: '#F06361', fillRule: 'nonzero', 'data-jsx': 2090006897
                })
              ),
              React.createElement('path', { d: 'M42.9980985,42.7780703 C43.0642399,45.7199317 40.6084725,48.1594749 37.5031968,48.2366697 L9.72998454,48.2366697 C8.97590556,48.2331364 8.24375332,48.4768131 7.65772828,48.9263631 C7.25945681,48.4547778 6.80517841,47.9006652 6.80517841,46.2088531 L6.80517841,11.4765988 C6.78356595,10.222808 7.28999098,9.01248958 8.21251106,8.11317778 C9.13503114,7.21386599 10.3976749,6.69962091 11.7213419,6.68411357 L37.5031968,6.68411357 C40.618418,6.76124955 43.0781864,9.21532246 42.9980985,12.1662922 L42.9980985,42.7780703 Z', fill: '#D6D6D6', fillRule: 'nonzero', 'data-jsx': 2090006897
              }),
              React.createElement('path', { d: 'M43.1935845,41.1116412 C43.2736719,44.0626109 40.8139184,46.5166838 37.698716,46.5938198 L11.9170172,46.5938198 C9.7140914,46.5938198 7.84720517,46.9475088 7.22490976,48.2620527 C7.06311295,47.7492037 7.00088341,46.8649813 7.00088341,47.2776184 L7.00088341,9.80427482 C6.97592108,8.54846048 7.48085571,7.3350993 8.40373128,6.43322231 C9.32660685,5.53134533 10.5911629,5.01547786 11.9170172,5 L37.698716,5 C40.8139184,5.07713599 43.2736719,7.5312089 43.1935845,10.4821786 L43.1935845,41.1116412 Z', fill: '#BBBBBB', fillRule: 'nonzero', 'data-jsx': 2090006897
              }),
              React.createElement('path', { d: 'M45,37.754042 C44.9089135,40.7457969 42.1925738,43.1055649 38.9275766,43.0293432 L10.7567317,43.0293432 C7.5812442,43.0293432 5,44.4304178 5,47 L5,10.2770969 C5,7.36362848 7.57737656,5.00179569 10.7567317,5.00179569 L38.9275766,5.00179569 C42.1925738,4.92557401 44.9089135,7.28534202 45,10.2770969 L45,37.754042 Z', fill: '#7878CB', fillRule: 'nonzero', 'data-jsx': 2090006897
              }),
              insideIcon,
              React.createElement(
                'g',
                { opacity: '0.2', strokeWidth: '1', fillRule: 'evenodd', transform: 'translate(5.000000, 5.516064)', fill: '#49497F', 'data-jsx': 2090006897
                },
                React.createElement('path', { d: 'M3.53163761,37.8461936 C1.41869203,38.4377164 0,39.6320292 0,41.338995 L0,4.8673878 C0.00515002309,2.97806104 1.34845849,1.23167829 3.53163761,0.276043984 L3.53163761,37.8461936 Z', fillRule: 'nonzero', 'data-jsx': 2090006897
                })
              ),
              React.createElement('path', { d: 'M5.98305339,41.9999599 C5.85458623,41.9979077 5.73865179,41.9292084 5.68438902,41.8229804 C5.63012626,41.7167524 5.64703842,41.5915998 5.72795726,41.5005687 C6.03625166,41.1687357 6.39444344,40.8783325 6.79189479,40.6379837 C6.8898578,40.5570761 7.03072436,40.5360645 7.15184135,40.5842944 C7.27295835,40.6325242 7.35182628,40.741036 7.35336712,40.8615669 C7.35490795,40.9820978 7.27883546,41.0922574 7.15898434,41.1430499 C6.81681904,41.3520513 6.50888172,41.6042583 6.24437138,41.8921368 C6.17930562,41.961887 6.08344768,42.0014392 5.98305339,41.9999599 L5.98305339,41.9999599 Z M9.49218068,40.4847614 C9.32580604,40.4639663 9.20181557,40.3343212 9.20181557,40.1811542 C9.20181557,40.0279871 9.32580604,39.8983421 9.49218068,39.877547 C9.82816095,39.877547 10.1641412,39.8491725 10.4938996,39.8491725 L10.8485455,39.8491725 C11.0149201,39.8699676 11.1389106,39.9996126 11.1389106,40.1527797 C11.1389106,40.3059467 11.0149201,40.4355918 10.8485455,40.4563869 L10.4690122,40.4563869 C10.1579194,40.4563869 9.84682652,40.4563869 9.51706811,40.4563869 L9.49218068,40.4847614 Z M37.5589772,40.4847614 L37.478093,40.4847614 C37.3483051,40.5009835 37.220015,40.4469212 37.1494336,40.3462621 C37.0788522,40.245603 37.0788522,40.1167054 37.1494336,40.0160463 C37.220015,39.9153871 37.3483051,39.8613248 37.478093,39.877547 L37.5589772,39.877547 C37.9507987,39.8771721 38.3412457,39.8352752 38.7224644,39.7526992 C38.8691454,39.7604807 38.9932687,39.8542918 39.0289042,39.984303 C39.0645396,40.1143143 39.0034203,40.2503649 38.8780108,40.3201893 C38.4458091,40.4137506 38.0031845,40.4613583 37.5589772,40.4620618 L37.5589772,40.4847614 Z M34.8151383,40.4847614 L33.4836609,40.4847614 C33.3538729,40.5009835 33.2255829,40.4469212 33.1550015,40.3462621 C33.0844201,40.245603 33.0844201,40.1167054 33.1550015,40.0160463 C33.2255829,39.9153871 33.3538729,39.8613248 33.4836609,39.877547 L34.8151383,39.877547 C34.9815129,39.8983421 35.1055034,40.0279871 35.1055034,40.1811542 C35.1055034,40.3343212 34.9815129,40.4639663 34.8151383,40.4847614 Z M30.8144843,40.4847614 L29.4830069,40.4847614 C29.353219,40.5009835 29.2249289,40.4469212 29.1543475,40.3462621 C29.0837661,40.245603 29.0837661,40.1167054 29.1543475,40.0160463 C29.2249289,39.9153871 29.353219,39.8613248 29.4830069,39.877547 L30.8144843,39.877547 C30.9808589,39.8983421 31.1048494,40.0279871 31.1048494,40.1811542 C31.1048494,40.3343212 30.9808589,40.4639663 30.8144843,40.4847614 Z M26.8138303,40.4847614 L25.4885748,40.4847614 C25.3222001,40.4639663 25.1982097,40.3343212 25.1982097,40.1811542 C25.1982097,40.0279871 25.3222001,39.8983421 25.4885748,39.877547 L26.8200521,39.877547 C26.9498401,39.8613248 27.0781302,39.9153871 27.1487115,40.0160463 C27.2192929,40.1167054 27.2192929,40.245603 27.1487115,40.3462621 C27.0781302,40.4469212 26.9498401,40.5009835 26.8200521,40.4847614 L26.8138303,40.4847614 Z M22.8131763,40.4847614 L21.4879208,40.4847614 C21.3215461,40.4639663 21.1975557,40.3343212 21.1975557,40.1811542 C21.1975557,40.0279871 21.3215461,39.8983421 21.4879208,39.877547 L22.8193982,39.877547 C22.9857728,39.8983421 23.1097633,40.0279871 23.1097633,40.1811542 C23.1097633,40.3343212 22.9857728,40.4639663 22.8193982,40.4847614 L22.8131763,40.4847614 Z M18.8125223,40.4847614 L17.4872668,40.4847614 C17.3208922,40.4639663 17.1969017,40.3343212 17.1969017,40.1811542 C17.1969017,40.0279871 17.3208922,39.8983421 17.4872668,39.877547 L18.8187442,39.877547 C18.9851188,39.8983421 19.1091093,40.0279871 19.1091093,40.1811542 C19.1091093,40.3343212 18.9851188,40.4639663 18.8187442,40.4847614 L18.8125223,40.4847614 Z M14.8118683,40.4847614 L13.4928347,40.4847614 C13.3630467,40.5009835 13.2347567,40.4469212 13.1641753,40.3462621 C13.0935939,40.245603 13.0935939,40.1167054 13.1641753,40.0160463 C13.2347567,39.9153871 13.3630467,39.8613248 13.4928347,39.877547 L14.824312,39.877547 C14.9906867,39.8983421 15.1146772,40.0279871 15.1146772,40.1811542 C15.1146772,40.3343212 14.9906867,40.4639663 14.824312,40.4847614 L14.8118683,40.4847614 Z M41.1241012,39.2306083 C40.9884118,39.2275534 40.8680654,39.1503325 40.8190674,39.0348816 C40.7700694,38.9194308 40.8020452,38.7884299 40.9001143,38.7028425 C41.2144006,38.4378261 41.4866357,38.1341321 41.7089557,37.8005332 C41.8160348,37.6840361 42.0005644,37.6567497 42.1425124,37.7364232 C42.2844603,37.8160967 42.340911,37.9786422 42.2751447,38.1183277 C42.0252197,38.4868656 41.7217404,38.8228445 41.3729754,39.1171102 C41.3093344,39.1766751 41.2214922,39.2095449 41.130323,39.2079087 L41.1241012,39.2306083 Z M42.6671217,35.9845649 C42.4815649,35.9845649 42.3311414,35.847365 42.3311414,35.6781203 L42.3311414,34.4409918 C42.3539408,34.289243 42.4960812,34.1761524 42.6640107,34.1761524 C42.8319403,34.1761524 42.9740807,34.289243 42.9968801,34.4409918 L42.9968801,35.6554207 C42.9936974,35.8181267 42.8516385,35.9501892 42.6733435,35.9561904 L42.6671217,35.9845649 Z M42.6671217,32.3356036 C42.4815649,32.3356036 42.3311414,32.1984036 42.3311414,32.0291589 L42.3311414,30.7920305 C42.3133557,30.6736521 42.3726286,30.5566398 42.4829894,30.4922632 C42.5933503,30.4278865 42.7346712,30.4278865 42.845032,30.4922632 C42.9553928,30.5566398 43.0146657,30.6736521 42.9968801,30.7920305 L42.9968801,32.0064593 C42.9970041,32.1713689 42.8540234,32.3067963 42.6733435,32.312904 L42.6671217,32.3356036 Z M42.6671217,28.6866423 C42.4815649,28.6866423 42.3311414,28.5494423 42.3311414,28.3801976 L42.3311414,27.1430692 C42.3133557,27.0246908 42.3726286,26.9076785 42.4829894,26.8433019 C42.5933503,26.7789252 42.7346712,26.7789252 42.845032,26.8433019 C42.9553928,26.9076785 43.0146657,27.0246908 42.9968801,27.1430692 L42.9968801,28.357498 C42.9970041,28.5224076 42.8540234,28.6578349 42.6733435,28.6639427 L42.6671217,28.6866423 Z M42.6671217,25.0376809 C42.4815649,25.0376809 42.3311414,24.900481 42.3311414,24.7312363 L42.3311414,23.4997828 C42.3133557,23.3814043 42.3726286,23.2643921 42.4829894,23.2000154 C42.5933503,23.1356388 42.7346712,23.1356388 42.845032,23.2000154 C42.9553928,23.2643921 43.0146657,23.3814043 42.9968801,23.4997828 L42.9968801,24.7142116 C42.9936974,24.8769177 42.8516385,25.0089801 42.6733435,25.0149813 L42.6671217,25.0376809 Z M42.6671217,21.3887196 C42.4815649,21.3887196 42.3311414,21.2515197 42.3311414,21.082275 L42.3311414,19.8508214 C42.3133557,19.732443 42.3726286,19.6154308 42.4829894,19.5510541 C42.5933503,19.4866774 42.7346712,19.4866774 42.845032,19.5510541 C42.9553928,19.6154308 43.0146657,19.732443 42.9968801,19.8508214 L42.9968801,21.0652503 C42.9812895,21.2190683 42.8426148,21.3382551 42.6733435,21.3433204 L42.6671217,21.3887196 Z M42.6671217,17.7397583 C42.4815649,17.7397583 42.3311414,17.6025583 42.3311414,17.4333136 L42.3311414,16.2018601 C42.3539408,16.0501113 42.4960812,15.9370207 42.6640107,15.9370207 C42.8319403,15.9370207 42.9740807,16.0501113 42.9968801,16.2018601 L42.9968801,17.4162889 C42.9970041,17.5811986 42.8540234,17.7166259 42.6733435,17.7227336 L42.6671217,17.7397583 Z M42.6671217,14.090797 C42.4815649,14.090797 42.3311414,13.953597 42.3311414,13.7843523 L42.3311414,12.5585737 C42.3539408,12.4068249 42.4960812,12.2937342 42.6640107,12.2937342 C42.8319403,12.2937342 42.9740807,12.4068249 42.9968801,12.5585737 L42.9968801,13.7730025 C42.9936974,13.9357086 42.8516385,14.067771 42.6733435,14.0737723 L42.6671217,14.090797 Z M5,11.1284987 L5.087106,10.9185273 C5.16435262,10.7743869 5.35041515,10.7089893 5.51373582,10.7685747 C5.6770565,10.82816 5.76234265,10.9925555 5.70929169,11.1455234 C5.55094768,11.5148962 5.42202797,11.8942075 5.32353656,12.2805036 C5.27742413,12.4073513 5.14650505,12.4923162 5,12.4904749 L5,11.1284987 Z M42.3311414,10.4645352 C42.1939856,10.4641649 42.0708466,10.3877915 42.0200486,10.2715886 C41.863761,9.92127151 41.6543215,9.59270348 41.3978629,9.29550564 C41.3028126,9.16195327 41.3357337,8.98425729 41.4736181,8.88660589 C41.6115025,8.7889545 41.8084078,8.80388474 41.9267207,8.92096218 C42.2185119,9.26720035 42.4552076,9.64930311 42.6297905,10.0559424 C42.6642985,10.1310751 42.6639185,10.2157612 42.6287375,10.2906338 C42.5935565,10.3655064 42.5265836,10.4241616 42.4431348,10.4531854 C42.4071636,10.4647235 42.3692709,10.4704837 42.3311414,10.4702101 L42.3311414,10.4645352 Z M6.81056036,9.29550564 C6.67803547,9.29255719 6.55980032,9.21880966 6.50871861,9.10723606 C6.4576369,8.99566245 6.48325927,8.86712344 6.5741298,8.77908965 C6.90199353,8.47163814 7.26730522,8.19936812 7.66295475,7.96757881 C7.76252929,7.89049214 7.9020597,7.87302356 8.02072421,7.92278769 C8.13938871,7.97255182 8.21568123,8.08052969 8.2163456,8.19965337 C8.21700996,8.31877706 8.14192576,8.42745726 8.02382245,8.4783199 C7.66896997,8.68357351 7.34120201,8.92540277 7.04699092,9.19903232 C6.98590536,9.25925592 6.90049807,9.29410558 6.81056036,9.29550564 Z M39.5873025,7.97325371 C39.5461853,7.98032088 39.5039826,7.98032088 39.4628654,7.97325371 C39.0776924,7.82948738 38.6742715,7.73034881 38.262047,7.67815886 C38.0998541,7.63675674 37.996333,7.49222017 38.0199316,7.34011651 C38.0435302,7.18801285 38.1869555,7.07534953 38.3553748,7.07661936 C38.8231409,7.1357853 39.2809147,7.24827095 39.7179615,7.41143852 C39.8410714,7.47765932 39.9047741,7.60766996 39.8767444,7.73549826 C39.8487146,7.86332656 39.7350886,7.96098922 39.5935244,7.97892862 L39.5873025,7.97325371 Z M10.3445751,7.68950867 C10.1739414,7.68337367 10.0354959,7.56147061 10.0227639,7.40614981 C10.0100318,7.25082901 10.1270639,7.11150397 10.2948002,7.08229426 C10.6736639,7.02951015 11.0563638,7.00295145 11.4396219,7.00284565 L11.6760525,7.00284565 C11.8058404,6.98662351 11.9341305,7.0406858 12.0047118,7.14134492 C12.0752932,7.24200404 12.0752932,7.37090166 12.0047118,7.47156078 C11.9341305,7.5722199 11.8058404,7.62628219 11.6760525,7.61006005 L11.4085126,7.61006005 C11.0606197,7.61074641 10.713281,7.63540785 10.3694625,7.68383377 L10.3445751,7.68950867 Z M35.6675327,7.61573495 L34.304946,7.61573495 C34.1385714,7.59493986 34.0145809,7.46529481 34.0145809,7.31212775 C34.0145809,7.15896069 34.1385714,7.02931564 34.304946,7.00852055 L35.6364234,7.00852055 C35.7662113,6.99229841 35.8945014,7.04636071 35.9650828,7.14701982 C36.0356642,7.24767894 36.0356642,7.37657656 35.9650828,7.47723568 C35.8945014,7.5778948 35.7662113,7.63195709 35.6364234,7.61573495 L35.6675327,7.61573495 Z M31.6668787,7.61573495 L30.304292,7.61573495 C30.1745041,7.63195709 30.046214,7.5778948 29.9756326,7.47723568 C29.9050512,7.37657656 29.9050512,7.24767894 29.9756326,7.14701982 C30.046214,7.04636071 30.1745041,6.99229841 30.304292,7.00852055 L31.6357694,7.00852055 C31.802144,7.02931564 31.9261345,7.15896069 31.9261345,7.31212775 C31.9261345,7.46529481 31.802144,7.59493986 31.6357694,7.61573495 L31.6668787,7.61573495 Z M27.6662247,7.61573495 L26.3098599,7.61573495 C26.1800719,7.63195709 26.0517819,7.5778948 25.9812005,7.47723568 C25.9106191,7.37657656 25.9106191,7.24767894 25.9812005,7.14701982 C26.0517819,7.04636071 26.1800719,6.99229841 26.3098599,7.00852055 L27.6413373,7.00852055 C27.8077119,7.02931564 27.9317024,7.15896069 27.9317024,7.31212775 C27.9317024,7.46529481 27.8077119,7.59493986 27.6413373,7.61573495 L27.6662247,7.61573495 Z M23.6655707,7.61006005 L22.3092059,7.61006005 C22.1794179,7.62628219 22.0511279,7.5722199 21.9805465,7.47156078 C21.9099651,7.37090166 21.9099651,7.24200404 21.9805465,7.14134492 C22.0511279,7.0406858 22.1794179,6.98662351 22.3092059,7.00284565 L23.6655707,7.00284565 C23.7953586,6.98662351 23.9236487,7.0406858 23.9942301,7.14134492 C24.0648115,7.24200404 24.0648115,7.37090166 23.9942301,7.47156078 C23.9236487,7.5722199 23.7953586,7.62628219 23.6655707,7.61006005 Z M19.6649167,7.61006005 L18.3085519,7.61006005 C18.178764,7.62628219 18.0504739,7.5722199 17.9798925,7.47156078 C17.9093111,7.37090166 17.9093111,7.24200404 17.9798925,7.14134492 C18.0504739,7.0406858 18.178764,6.98662351 18.3085519,7.00284565 L19.6400293,7.00284565 C19.7698172,6.98662351 19.8981073,7.0406858 19.9686887,7.14134492 C20.0392701,7.24200404 20.0392701,7.37090166 19.9686887,7.47156078 C19.8981073,7.5722199 19.7698172,7.62628219 19.6400293,7.61006005 L19.6649167,7.61006005 Z M15.6642627,7.61006005 L14.3327853,7.61006005 C14.1664107,7.58926496 14.0424202,7.45961991 14.0424202,7.30645285 C14.0424202,7.15328579 14.1664107,7.02364074 14.3327853,7.00284565 L15.6642627,7.00284565 C15.7940507,6.98662351 15.9223407,7.0406858 15.9929221,7.14134492 C16.0635035,7.24200404 16.0635035,7.37090166 15.9929221,7.47156078 C15.9223407,7.5722199 15.7940507,7.62628219 15.6642627,7.61006005 L15.6642627,7.61006005 Z', fill: '#49497F', fillRule: 'nonzero', opacity: '0.5', 'data-jsx': 2090006897
              })
            ),
            frontIcon
          )
        ),
        React.createElement(_JSXStyle, {
          styleId: 2090006897,
          css: 'svg[data-jsx="2090006897"]{cursor:pointer}'
        })
      );
    }
  }]);

  return Book;
}(React.PureComponent);

Book.defaultProps = {
  size: 64,
  insideIcon: null,
  frontIcon: null
};

Book.propTypes = {
  size: PropTypes.string,
  insideIcon: PropTypes.node,
  frontIcon: PropTypes.node
};

export default Book;