var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

import _JSXStyle from 'styled-jsx/style';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';

var Book = function (_React$PureComponent) {
  _inherits(Book, _React$PureComponent);

  function Book() {
    _classCallCheck(this, Book);

    return _possibleConstructorReturn(this, (Book.__proto__ || Object.getPrototypeOf(Book)).apply(this, arguments));
  }

  _createClass(Book, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          frontIcon = _props.frontIcon,
          iconColor = _props.iconColor;

      return React.createElement(
        'svg',
        { width: size, height: size, viewBox: '0 0 64 64', version: '1.1', 'data-jsx': 2090006897
        },
        React.createElement(
          'defs',
          {
            'data-jsx': 2090006897
          },
          React.createElement('rect', { id: 'path-1', x: '3', y: '6', width: '46', height: '46', rx: '8', 'data-jsx': 2090006897
          }),
          React.createElement('rect', { id: 'path-3', x: '5', y: '7', width: '42', height: '42', rx: '6', 'data-jsx': 2090006897
          }),
          React.createElement(
            'linearGradient',
            { x1: '100%', y1: '100%', x2: '0%', y2: '100%', 'data-jsx': 2090006897
            },
            React.createElement('stop', { stopColor: '#FFFFFF', offset: '0%', 'data-jsx': 2090006897
            }),
            React.createElement('stop', { stopColor: '#FFFFFF', stopOpacity: '0', offset: '100%', 'data-jsx': 2090006897
            })
          ),
          React.createElement(
            'linearGradient',
            { x1: '50%', y1: '0%', x2: '50%', y2: '100%', 'data-jsx': 2090006897
            },
            React.createElement('stop', { stopColor: '#FFFFFF', offset: '0%', 'data-jsx': 2090006897
            }),
            React.createElement('stop', { stopColor: '#FFFFFF', stopOpacity: '0', offset: '100%', 'data-jsx': 2090006897
            })
          ),
          React.createElement(
            'linearGradient',
            { x1: '50%', y1: '0%', x2: '50%', y2: '100%', 'data-jsx': 2090006897
            },
            React.createElement('stop', { stopColor: '#000000', stopOpacity: '0', offset: '0%', 'data-jsx': 2090006897
            }),
            React.createElement('stop', { stopColor: '#000000', offset: '100%', 'data-jsx': 2090006897
            })
          )
        ),
        React.createElement(
          'g',
          { stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', 'data-jsx': 2090006897
          },
          React.createElement(
            'g',
            {
              'data-jsx': 2090006897
            },
            React.createElement(
              'g',
              {
                'data-jsx': 2090006897
              },
              React.createElement(
                'mask',
                { fill: 'white', 'data-jsx': 2090006897
                },
                React.createElement('use', { xlinkHref: '#path-1', 'data-jsx': 2090006897
                })
              ),
              React.createElement('use', { fill: '#C2C6C7', fillRule: 'evenodd', xlinkHref: '#path-1', 'data-jsx': 2090006897
              }),
              React.createElement(
                'mask',
                { fill: 'white', 'data-jsx': 2090006897
                },
                React.createElement('use', { xlinkHref: '#path-3', 'data-jsx': 2090006897
                })
              ),
              React.createElement('use', { fill: '#F2F2F2', fillRule: 'evenodd', xlinkHref: '#path-3', 'data-jsx': 2090006897
              }),
              React.createElement('path', { d: 'M44.1849861,13 C43.7385345,13 43.376614,12.6489371 43.376614,12.2158792 C43.4289719,11.7876667 43.2854127,11.358687 42.9837539,11.0419453 C42.6820952,10.7252037 42.2525863,10.5524621 41.8083721,10.5692254 C41.3619205,10.5692254 41,10.2181626 41,9.78510462 C41,9.35204664 41.3619205,9.00098379 41.8083721,9.00098379 C42.6825876,8.97934595 43.525852,9.31547223 44.1317912,9.92710158 C44.7377303,10.5387309 45.0504285,11.3694226 44.9933582,12.2158792 C44.9933582,12.4238409 44.9081907,12.6232851 44.7565915,12.7703363 C44.6049923,12.9173875 44.3993797,13 44.1849861,13 Z', fill: '#FFFFFF', fillRule: 'nonzero', opacity: '0.800000012', mask: 'url(#mask-4)', 'data-jsx': 2090006897
              }),
              React.createElement('path', { d: 'M38.365312,10.6 L24.634688,10.6 C24.2841595,10.6 24,10.2418278 24,9.80000001 C24,9.35817221 24.2841595,9 24.634688,9 L38.365312,9 C38.7158405,9 39,9.35817221 39,9.80000001 C39,10.2418278 38.7158405,10.6 38.365312,10.6 Z', fill: 'url(#linearGradient-5)', fillRule: 'nonzero', opacity: '0.5', mask: 'url(#mask-4)', 'data-jsx': 2090006897
              }),
              React.createElement('path', { d: 'M43.8,27 C43.3581722,27 43,26.6823894 43,26.2905969 L43,15.7094031 C43,15.3176106 43.3581722,15 43.8,15 C44.2418278,15 44.6,15.3176106 44.6,15.7094031 L44.6,26.2905969 C44.6,26.6823894 44.2418278,27 43.8,27 Z', fill: 'url(#linearGradient-6)', fillRule: 'nonzero', opacity: '0.5', mask: 'url(#mask-4)', 'data-jsx': 2090006897
              }),
              React.createElement('circle', { stroke: '#96A0A2', strokeWidth: '3', mask: 'url(#mask-4)', cx: '18.5', cy: '26.5', r: '5.5', 'data-jsx': 2090006897
              }),
              React.createElement('path', { d: 'M18,32 C18,35.3333333 18,37.8333333 18,39.5 C18,42 19,43 21.5,43 C24,43 28,43 31,43 C34,43 34,45 34,46 C34,46.6666667 34,48.0103763 34,50.0311289', stroke: '#96A0A2', strokeWidth: '3', mask: 'url(#mask-4)', 'data-jsx': 2090006897
              }),
              React.createElement(
                'g',
                { strokeWidth: '1', fillRule: 'evenodd', transform: 'translate(10.000000, 2.000000)', 'data-jsx': 2090006897
                },
                React.createElement('path', { d: 'M9.5,25 C12,25 15.19,23.74 18.8038086,22.0410159 C20.3081681,21.3337612 22.653904,20.072337 23.27,19.42 C25.27771,17.2941895 22.6944204,16 18,16 C13.3055796,16 8.27687988,17.2950684 6.27,19.42 C5.61805324,20.1102966 5.67457713,21.2994543 5.89942694,22.0410159 C6.36,23.56 7,25 9.5,25 Z', fill: 'url(#linearGradient-7)', opacity: '0.200000018', 'data-jsx': 2090006897
                }),
                React.createElement('path', { d: 'M8.5,25 C11,25 13,21.5 15.0092125,16.7805997 C15.8456093,14.8160034 17,11.3120472 17,9.5 C17,3.5949707 13.1944204,0 8.5,0 C3.80557963,0 2.56012398e-16,3.59741211 0,9.5 C0,11.4174905 1.17961729,14.7207064 2.10483085,16.7805997 C4,21 6,25 8.5,25 Z', fill: iconColor, 'data-jsx': 2090006897
                }),
                React.createElement('circle', { fill: '#FFFFFF', cx: '8.5', cy: '9.5', r: '2.5', 'data-jsx': 2090006897
                })
              )
            ),
            frontIcon
          )
        ),
        React.createElement(_JSXStyle, {
          styleId: 2090006897,
          css: 'svg[data-jsx="2090006897"]{cursor:pointer}'
        })
      );
    }
  }]);

  return Book;
}(React.PureComponent);

Book.defaultProps = {
  size: 64,
  frontIcon: null,
  iconColor: '#00BD9C'
};

Book.propTypes = {
  size: PropTypes.string,
  frontIcon: PropTypes.node,
  iconColor: PropTypes.string
};

export default Book;