'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

import _JSXStyle from 'styled-jsx/style';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var OpenBook = function (_React$PureComponent) {
  _inherits(OpenBook, _React$PureComponent);

  function OpenBook() {
    _classCallCheck(this, OpenBook);

    return _possibleConstructorReturn(this, (OpenBook.__proto__ || Object.getPrototypeOf(OpenBook)).apply(this, arguments));
  }

  _createClass(OpenBook, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          frontIcon = _props.frontIcon;

      return _react2.default.createElement(
        'svg',
        { width: size, height: size, viewBox: '0 0 64 64', xmlns: 'http://www.w3.org/2000/svg', 'data-jsx': 2096159473
        },
        _react2.default.createElement(
          'defs',
          {
            'data-jsx': 2096159473
          },
          _react2.default.createElement(
            'linearGradient',
            { x1: '50%', y1: '0%', x2: '50%', y2: '100%', 'data-jsx': 2096159473
            },
            _react2.default.createElement('stop', { stopColor: '#F4F4F4', offset: '97.0723055%', 'data-jsx': 2096159473
            }),
            _react2.default.createElement('stop', { stopColor: '#F2F2F2', offset: '0%', 'data-jsx': 2096159473
            })
          )
        ),
        _react2.default.createElement(
          'g',
          { stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', 'data-jsx': 2096159473
          },
          _react2.default.createElement(
            'g',
            {
              'data-jsx': 2096159473
            },
            _react2.default.createElement(
              'g',
              {
                'data-jsx': 2096159473
              },
              _react2.default.createElement('path', { d: 'M46.3806289,46.9107921 C46.3806289,49.7211307 44.0001496,51.9989915 41.0634704,51.9989915 L16.4031489,51.9989915 C13.6207338,51.9989915 11.3655057,49.7211307 11.3655057,46.9107921 L11.3655057,18.480773 C11.3655057,15.6704345 13.6207338,13.3925737 16.4031489,13.3925737 L41.0634704,13.3925737 C44.0001496,13.3925737 46.3806289,15.6704345 46.3806289,18.480773 L46.3806289,46.9107921 Z', fill: '#49497F', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M14.96,10.2501908 L37.96,10.2501908 L37.96,10.2501908 C41.2737085,10.2501908 43.96,12.9364823 43.96,16.2501908 L43.96,43.2501908 L43.96,43.2501908 C43.96,46.5638993 41.2737085,49.2501908 37.96,49.2501908 L14.96,49.2501908 L14.96,10.2501908 Z', fill: '#f4f4f4', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M36.8489761,21.8514165 L21.1491453,21.8514165 C20.7934566,21.8514165 20.5059469,21.487867 20.5059469,21.039922 C20.5059469,20.5919771 20.7934566,20.2284275 21.1491453,20.2284275 L36.8489761,20.2284275 C37.2046648,20.2284275 37.4921745,20.5919771 37.4921745,21.039922 C37.4921745,21.487867 37.2046648,21.8514165 36.8489761,21.8514165', fill: '#878E91', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M36.8489761,26.7894467 L21.1491453,26.7894467 C20.7934566,26.7894467 20.5059469,26.4258971 20.5059469,25.9779522 C20.5059469,25.5300073 20.7934566,25.1664577 21.1491453,25.1664577 L36.8489761,25.1664577 C37.2046648,25.1664577 37.4921745,25.5300073 37.4921745,25.9779522 C37.4921745,26.4258971 37.2046648,26.7894467 36.8489761,26.7894467', fill: '#878E91', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M36.8489761,31.7274769 L21.1491453,31.7274769 C20.7934566,31.7274769 20.5059469,31.3639273 20.5059469,30.9159824 C20.5059469,30.4680374 20.7934566,30.1044879 21.1491453,30.1044879 L36.8489761,30.1044879 C37.2046648,30.1044879 37.4921745,30.4680374 37.4921745,30.9159824 C37.4921745,31.3639273 37.2046648,31.7274769 36.8489761,31.7274769', fill: '#878E91', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M36.8489761,36.2165952 L21.1491453,36.2165952 C20.7934566,36.2165952 20.5059469,35.8530457 20.5059469,35.4051007 C20.5059469,34.9571558 20.7934566,34.5936063 21.1491453,34.5936063 L36.8489761,34.5936063 C37.2046648,34.5936063 37.4921745,34.9571558 37.4921745,35.4051007 C37.4921745,35.8530457 37.2046648,36.2165952 36.8489761,36.2165952', fill: '#878E91', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M36.8489761,41.1546254 L21.1491453,41.1546254 C20.7934566,41.1546254 20.5059469,40.7910759 20.5059469,40.3431309 C20.5059469,39.895186 20.7934566,39.5316365 21.1491453,39.5316365 L36.8489761,39.5316365 C37.2046648,39.5316365 37.4921745,39.895186 37.4921745,40.3431309 C37.4921745,40.7910759 37.2046648,41.1546254 36.8489761,41.1546254', fill: '#878E91', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M3.46132567,37.7624119 C3.46132567,41.1164719 5.15854315,43.6021946 6.57280166,44.7645677 C10.5485765,48.0322404 11.7750578,49.7007367 13.5036556,51.1011678 C13.0426962,48.3003055 12.6488226,34.9639091 12.3220349,11.0919785 C12.3220349,9.05253575 10.7424919,7.20604133 7.58340594,5.5524952 C5.70850277,3.21844327 3.60221945,2.43108975 3.60221945,5.49025382 C3.50829026,21.5902188 3.46132567,32.3476049 3.46132567,37.7624119 Z', fill: '#49497F', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M14.9568004,10.2501908 L8.4336991,4.04093791 C7.23282931,2.897846 6.259332,3.57906432 6.259332,5.56248161 L6.259332,36.9861141 C6.259332,38.9695314 7.23282931,41.5040678 8.4336991,42.6471597 L14.9568004,48.8564127 L14.9568004,10.2501908 Z', fill: '#BCBCBC', 'data-jsx': 2096159473
              }),
              _react2.default.createElement('path', { d: 'M14.9568004,10.2501908 L10.1010681,3.1449774 C9.20715243,1.83694372 8.48249063,2.38445031 8.48249063,4.36786759 L8.48249063,35.7915001 C8.48249063,37.7749174 9.20715243,40.4431656 10.1010681,41.7511992 L14.9568004,48.8564127 L14.9568004,10.2501908 Z', fill: '#D8D8D8', 'data-jsx': 2096159473
              }),
              _react2.default.createElement(
                'g',
                { strokeWidth: '1', transform: 'translate(19.668715, 8.005632)', 'data-jsx': 2096159473
                },
                _react2.default.createElement('polygon', { fill: '#F06361', fillRule: 'nonzero', points: '10.955269 2.24455918 10.955269 46.237919 7.2248176 44.5800588 3.49932032 46.237919 3.45955863 2.24455918', 'data-jsx': 2096159473
                }),
                _react2.default.createElement('path', { d: 'M1.69807041,0 L9.21736566,0 L10.955269,2.24455918 L4.39023591e-06,2.24455918 C4.39023591e-06,2.24455918 -0.014934607,0 1.69807041,0 Z', fill: '#C64757', fillRule: 'nonzero', 'data-jsx': 2096159473
                }),
                _react2.default.createElement('path', { d: 'M1.72977932,0 L9.22331855,0 C9.22331855,0 10.955269,0 10.955269,2.24455918 L3.48654282,2.24455918 C3.48654282,2.24455918 3.50143064,0 1.72977932,0 Z', fill: '#F06361', fillRule: 'nonzero', 'data-jsx': 2096159473
                })
              )
            ),
            frontIcon
          )
        ),
        _react2.default.createElement(_JSXStyle, {
          styleId: 2096159473,
          css: 'svg[data-jsx="2096159473"]{cursor:pointer}'
        })
      );
    }
  }]);

  return OpenBook;
}(_react2.default.PureComponent);

OpenBook.defaultProps = {
  size: 64,
  frontIcon: null
};

OpenBook.propTypes = {
  size: _propTypes2.default.string,
  frontIcon: _propTypes2.default.node
};

exports.default = OpenBook;