'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

import _JSXStyle from 'styled-jsx/style';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Check = function (_React$PureComponent) {
  _inherits(Check, _React$PureComponent);

  function Check() {
    _classCallCheck(this, Check);

    return _possibleConstructorReturn(this, (Check.__proto__ || Object.getPrototypeOf(Check)).apply(this, arguments));
  }

  _createClass(Check, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          color = _props.color,
          viewBox = _props.viewBox;

      return _react2.default.createElement(
        'svg',
        { xmlns: 'http://www.w3.org/2000/svg', width: size, height: size, viewBox: viewBox, 'data-jsx': 2198366705
        },
        _react2.default.createElement(
          'g',
          {
            'data-jsx': 2198366705
          },
          _react2.default.createElement('path', { d: 'M28.4223457,38.9573207 L30.2573336,40.8702273 C30.5100148,41.1318985 30.8114895,41.2636364 31.1722137,41.2636364 C31.5311952,41.2636364 31.8396404,41.1318985 32.090579,40.8702273 L33.9238243,38.9573207 L42.1235922,30.3326282 C42.3762734,30.070957 42.5,29.755147 42.5,29.3797842 C42.5,29.0026167 42.3762734,28.6831974 42.1235922,28.4197216 L41.8510418,28.0656433 C41.601846,27.8021675 41.2934007,27.6704296 40.9344192,27.6704296 C40.5719524,27.6704296 40.2722203,27.8021675 40.0195392,28.0656433 L31.1722137,37.3089524 L27.2077336,33.1619152 C26.9550524,32.8984394 26.6500924,32.7667015 26.2876256,32.7667015 C25.9286442,32.7667015 25.6254268,32.8984394 25.3762309,33.1619152 L25.1036805,33.5123843 C24.8509994,33.7740555 24.7272727,34.0934748 24.7272727,34.4706422 C24.7272727,34.8478097 24.8509994,35.1618151 25.1036805,35.4252909 L28.4223457,38.9573207 Z', fill: color, 'data-jsx': 2198366705
          })
        ),
        _react2.default.createElement(_JSXStyle, {
          styleId: 2198366705,
          css: 'svg[data-jsx="2198366705"]{cursor:pointer}'
        })
      );
    }
  }]);

  return Check;
}(_react2.default.PureComponent);

Check.defaultProps = {
  color: '#FFFFFF',
  viewBox: '8 6 84 84',
  size: '84'
};

Check.propTypes = {
  color: _propTypes2.default.string,
  viewBox: _propTypes2.default.string,
  size: _propTypes2.default.string
};

exports.default = Check;