'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

import _JSXStyle from 'styled-jsx/style';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Exam = function (_React$PureComponent) {
  _inherits(Exam, _React$PureComponent);

  function Exam() {
    _classCallCheck(this, Exam);

    return _possibleConstructorReturn(this, (Exam.__proto__ || Object.getPrototypeOf(Exam)).apply(this, arguments));
  }

  _createClass(Exam, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          insideIcon = _props.insideIcon,
          frontIcon = _props.frontIcon;

      return _react2.default.createElement(
        'svg',
        { xmlns: 'http://www.w3.org/2000/svg', width: size, height: size, viewBox: '0 0 64 64', version: '1.1', 'data-jsx': 2090006897
        },
        _react2.default.createElement(
          'defs',
          {
            'data-jsx': 2090006897
          },
          _react2.default.createElement('rect', { id: 'path-1', x: '7', y: '12', width: '38', height: '40', rx: '6', 'data-jsx': 2090006897
          }),
          _react2.default.createElement('rect', { id: 'path-3', x: '8', y: '10', width: '36', height: '40', rx: '5', 'data-jsx': 2090006897
          }),
          _react2.default.createElement('rect', { id: 'path-5', x: '8', y: '8', width: '36', height: '40', rx: '5', 'data-jsx': 2090006897
          }),
          _react2.default.createElement('rect', { id: 'path-7', x: '7', y: '4', width: '38', height: '42', rx: '6', 'data-jsx': 2090006897
          })
        ),
        _react2.default.createElement(
          'g',
          { stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', 'data-jsx': 2090006897
          },
          _react2.default.createElement(
            'g',
            {
              'data-jsx': 2090006897
            },
            _react2.default.createElement(
              'g',
              {
                'data-jsx': 2090006897
              },
              _react2.default.createElement(
                'mask',
                { fill: 'white', 'data-jsx': 2090006897
                },
                _react2.default.createElement('use', { xlinkHref: '#path-1', 'data-jsx': 2090006897
                })
              ),
              _react2.default.createElement('use', { fill: '#49497F', fillRule: 'evenodd', xlinkHref: '#path-1', 'data-jsx': 2090006897
              }),
              _react2.default.createElement(
                'mask',
                { fill: 'white', 'data-jsx': 2090006897
                },
                _react2.default.createElement('use', { xlinkHref: '#path-3', 'data-jsx': 2090006897
                })
              ),
              _react2.default.createElement('use', { fill: '#F2F2F2', fillRule: 'evenodd', xlinkHref: '#path-3', 'data-jsx': 2090006897
              }),
              _react2.default.createElement(
                'mask',
                { fill: 'white', 'data-jsx': 2090006897
                },
                _react2.default.createElement('use', { xlinkHref: '#path-5', 'data-jsx': 2090006897
                })
              ),
              _react2.default.createElement('use', { fill: '#B7C1C4', fillRule: 'evenodd', xlinkHref: '#path-5', 'data-jsx': 2090006897
              }),
              _react2.default.createElement(
                'mask',
                { fill: 'white', 'data-jsx': 2090006897
                },
                _react2.default.createElement('use', { xlinkHref: '#path-7', 'data-jsx': 2090006897
                })
              ),
              _react2.default.createElement('use', { fill: '#7878CB', fillRule: 'evenodd', xlinkHref: '#path-7', 'data-jsx': 2090006897
              }),
              _react2.default.createElement(
                'g',
                { strokeWidth: '1', fillRule: 'evenodd', mask: 'url(#mask-8)', fill: '#FFFFFF', 'data-jsx': 2090006897
                },
                insideIcon
              ),
              _react2.default.createElement('path', { d: 'M2.78030811,16.8230975 C2.77998096,16.8096239 2.77970485,12.7961361 2.77947998,12.7826344 C2.77947998,12.074255 3.30978753,11.5 3.96395504,11.5 C4.61812255,11.5 5.14843009,12.074255 5.14843009,12.7826344 C5.14843009,12.7948907 5.14851833,16.8071247 5.14869415,16.8193356 C5.16680133,18.076892 6.11385195,19.0902878 7.27947998,19.0902878 C8.45642633,19.0902878 9.41052987,18.0571162 9.41052987,16.7826344 C9.69497681,16.7827759 10.5145569,16.7382812 11.77948,16.7826344 C11.7354323,19.427354 9.72531733,21.5359273 7.28283069,21.499536 C4.84611193,21.5357415 2.84406288,19.4488274 2.78030811,16.8230975 Z', fill: '#49497F', fillRule: 'evenodd', transform: 'translate(7.279480, 16.500000) rotate(-270.000000) translate(-7.279480, -16.500000) ', 'data-jsx': 2090006897
              }),
              _react2.default.createElement('path', { d: 'M2.78030811,26.8150408 C2.77998096,26.8015672 2.77970485,22.7880795 2.77947998,22.7745777 C2.77947998,22.0661983 3.30978753,21.4919434 3.96395504,21.4919434 C4.61812255,21.4919434 5.14843009,22.0661983 5.14843009,22.7745777 C5.14843009,22.786834 5.14851833,26.799068 5.14869415,26.811279 C5.16680133,28.0688353 6.11385195,29.0822311 7.27947998,29.0822311 C8.45642633,29.0822311 9.41052987,28.0490595 9.41052987,26.7745777 C9.69497681,26.7747192 10.5145569,26.7302246 11.77948,26.7745777 C11.7354323,29.4192974 9.72531733,31.5278706 7.28283069,31.4914793 C4.84611193,31.5276849 2.84406288,29.4407707 2.78030811,26.8150408 Z', fill: '#49497F', fillRule: 'evenodd', transform: 'translate(7.279480, 26.491943) rotate(-270.000000) translate(-7.279480, -26.491943) ', 'data-jsx': 2090006897
              }),
              _react2.default.createElement('path', { d: 'M2.78030811,36.7879412 C2.77998096,36.7744676 2.77970485,32.7609799 2.77947998,32.7474781 C2.77947998,32.0390987 3.30978753,31.4648437 3.96395504,31.4648437 C4.61812255,31.4648437 5.14843009,32.0390987 5.14843009,32.7474781 C5.14843009,32.7597344 5.14851833,36.7719684 5.14869415,36.7841794 C5.16680133,38.0417357 6.11385195,39.0551315 7.27947998,39.0551315 C8.45642633,39.0551315 9.41052987,38.0219599 9.41052987,36.7474781 C9.69497681,36.7476196 10.5145569,36.703125 11.77948,36.7474781 C11.7354323,39.3921978 9.72531733,41.500771 7.28283069,41.4643797 C4.84611193,41.5005853 2.84406288,39.4136711 2.78030811,36.7879412 Z', fill: '#49497F', fillRule: 'evenodd', transform: 'translate(7.279480, 36.464844) rotate(-270.000000) translate(-7.279480, -36.464844) ', 'data-jsx': 2090006897
              }),
              _react2.default.createElement('path', { d: 'M37.3387505,43.2099869 L37.2578663,43.2099869 C37.1280784,43.2280168 36.9997883,43.1679299 36.9292069,43.0560533 C36.8586255,42.9441768 36.8586255,42.8009148 36.9292069,42.6890383 C36.9997883,42.5771617 37.1280784,42.5170748 37.2578663,42.5351047 L37.3387505,42.5351047 C37.730572,42.534688 38.121019,42.4881222 38.5022377,42.3963439 C38.6489187,42.4049926 38.773042,42.5092579 38.8086775,42.6537576 C38.844313,42.7982573 38.7831937,42.9494693 38.6577841,43.0270749 C38.2255824,43.1310627 37.7829578,43.1839758 37.3387505,43.1847577 L37.3387505,43.2099869 Z M34.5949116,43.2099869 L33.2634342,43.2099869 C33.1336463,43.2280168 33.0053562,43.1679299 32.9347748,43.0560533 C32.8641934,42.9441768 32.8641934,42.8009148 32.9347748,42.6890383 C33.0053562,42.5771617 33.1336463,42.5170748 33.2634342,42.5351047 L34.5949116,42.5351047 C34.7612862,42.5582172 34.8852767,42.7023098 34.8852767,42.8725458 C34.8852767,43.0427818 34.7612862,43.1868744 34.5949116,43.2099869 Z M30.5942576,43.2099869 L29.2627802,43.2099869 C29.1329923,43.2280168 29.0047022,43.1679299 28.9341208,43.0560533 C28.8635394,42.9441768 28.8635394,42.8009148 28.9341208,42.6890383 C29.0047022,42.5771617 29.1329923,42.5170748 29.2627802,42.5351047 L30.5942576,42.5351047 C30.7606322,42.5582172 30.8846227,42.7023098 30.8846227,42.8725458 C30.8846227,43.0427818 30.7606322,43.1868744 30.5942576,43.2099869 Z M40.9038745,41.8160713 C40.7681851,41.812676 40.6478387,41.7268496 40.5988408,41.598533 C40.5498428,41.4702163 40.5818186,41.3246167 40.6798876,41.2294914 C40.9941739,40.9349417 41.266409,40.5974041 41.488729,40.2266291 C41.5958081,40.0971495 41.7803378,40.0668223 41.9222857,40.1553746 C42.0642336,40.243927 42.1206844,40.4245865 42.054918,40.5798385 C41.804993,40.9894461 41.5015137,41.3628665 41.1527488,41.6899251 C41.0891077,41.7561278 41.0012655,41.7926606 40.9100963,41.7908421 L40.9038745,41.8160713 Z M42.446895,38.2082897 C42.2613382,38.2082897 42.1109147,38.0558003 42.1109147,37.867695 L42.1109147,36.4927013 C42.1337141,36.3240416 42.2758545,36.1983482 42.4437841,36.1983482 C42.6117136,36.1983482 42.753854,36.3240416 42.7766534,36.4927013 L42.7766534,37.8424657 C42.7734708,38.0233038 42.6314118,38.1700832 42.4531168,38.1767532 L42.446895,38.2082897 Z M42.446895,34.1526892 C42.2613382,34.1526892 42.1109147,34.0001997 42.1109147,33.8120944 L42.1109147,32.4371007 C42.0931291,32.3055302 42.152402,32.1754782 42.2627628,32.1039274 C42.3731236,32.0323766 42.5144445,32.0323766 42.6248053,32.1039274 C42.7351662,32.1754782 42.7944391,32.3055302 42.7766534,32.4371007 L42.7766534,33.7868651 C42.7767775,33.9701523 42.6337967,34.1206715 42.4531168,34.1274599 L42.446895,34.1526892 Z M42.446895,30.0970886 C42.2613382,30.0970886 42.1109147,29.9445991 42.1109147,29.7564938 L42.1109147,28.3815001 C42.0931291,28.2499296 42.152402,28.1198776 42.2627628,28.0483268 C42.3731236,27.976776 42.5144445,27.976776 42.6248053,28.0483268 C42.7351662,28.1198776 42.7944391,28.2499296 42.7766534,28.3815001 L42.7766534,29.7312646 C42.7767775,29.9145517 42.6337967,30.0650709 42.4531168,30.0718593 L42.446895,30.0970886 Z M42.446895,26.041488 C42.2613382,26.041488 42.1109147,25.8889985 42.1109147,25.7008932 L42.1109147,24.3322068 C42.0931291,24.2006363 42.152402,24.0705843 42.2627628,23.9990335 C42.3731236,23.9274827 42.5144445,23.9274827 42.6248053,23.9990335 C42.7351662,24.0705843 42.7944391,24.2006363 42.7766534,24.3322068 L42.7766534,25.6819713 C42.7734708,25.8628093 42.6314118,26.0095887 42.4531168,26.0162587 L42.446895,26.041488 Z M42.446895,21.9858874 C42.2613382,21.9858874 42.1109147,21.8333979 42.1109147,21.6452926 L42.1109147,20.2766062 C42.0931291,20.1450357 42.152402,20.0149837 42.2627628,19.9434329 C42.3731236,19.8718821 42.5144445,19.8718821 42.6248053,19.9434329 C42.7351662,20.0149837 42.7944391,20.1450357 42.7766534,20.2766062 L42.7766534,21.6263707 C42.7610628,21.7973301 42.6223882,21.929799 42.4531168,21.9354289 L42.446895,21.9858874 Z M42.446895,17.9302868 C42.2613382,17.9302868 42.1109147,17.7777973 42.1109147,17.589692 L42.1109147,16.2210056 C42.1337141,16.0523459 42.2758545,15.9266525 42.4437841,15.9266525 C42.6117136,15.9266525 42.753854,16.0523459 42.7766534,16.2210056 L42.7766534,17.5707701 C42.7767775,17.7540572 42.6337967,17.9045765 42.4531168,17.9113648 L42.446895,17.9302868 Z M42.446895,13.8746862 C42.2613382,13.8746862 42.1109147,13.7221967 42.1109147,13.5340914 L42.1109147,12.1717124 C42.1337141,12.0030527 42.2758545,11.8773593 42.4437841,11.8773593 C42.6117136,11.8773593 42.753854,12.0030527 42.7766534,12.1717124 L42.7766534,13.5214768 C42.7734708,13.7023148 42.6314118,13.8490942 42.4531168,13.8557642 L42.446895,13.8746862 Z M42.1109147,9.84431481 C41.9737589,9.84390325 41.8506199,9.75901873 41.7998219,9.62986626 C41.6435343,9.24050992 41.4340948,8.87532635 41.1776362,8.54500886 C41.082586,8.39657346 41.115507,8.19907508 41.2533914,8.09054144 C41.3912758,7.9820078 41.5881811,7.99860187 41.706494,8.12872638 C41.9982852,8.51354924 42.2349809,8.93823343 42.4095638,9.39018846 C42.4440718,9.47369396 42.4436918,9.56781745 42.4085108,9.65103383 C42.3733299,9.73425022 42.306357,9.7994419 42.2229081,9.83170019 C42.1869369,9.84452402 42.1490443,9.85092621 42.1109147,9.85062212 L42.1109147,9.84431481 Z M39.3670758,7.07540554 C39.3259586,7.08326027 39.2837559,7.08326027 39.2426387,7.07540554 C38.8574657,6.91561792 38.4540448,6.80543137 38.0418203,6.7474254 C37.8796274,6.70140943 37.7761063,6.54076574 37.7997049,6.37171169 C37.8233036,6.20265764 37.9667288,6.07743915 38.1351482,6.07885049 C38.6029142,6.14460987 39.060688,6.26963088 39.4977348,6.45098181 C39.6208448,6.52458224 39.6845474,6.66908123 39.6565177,6.81115468 C39.628488,6.95322813 39.514862,7.06177429 39.3732977,7.08171285 L39.3670758,7.07540554 Z M35.447306,6.67804498 L34.0847193,6.67804498 C33.9183447,6.65493249 33.7943542,6.51083983 33.7943542,6.34060387 C33.7943542,6.17036792 33.9183447,6.02627526 34.0847193,6.00316277 L35.4161967,6.00316277 C35.5459846,5.98513284 35.6742747,6.04521982 35.7448561,6.15709636 C35.8154375,6.26897291 35.8154375,6.41223484 35.7448561,6.52411138 C35.6742747,6.63598793 35.5459846,6.69607491 35.4161967,6.67804498 L35.447306,6.67804498 Z M31.446652,6.67804498 L30.0840653,6.67804498 C29.9542774,6.69607491 29.8259873,6.63598793 29.7554059,6.52411138 C29.6848245,6.41223484 29.6848245,6.26897291 29.7554059,6.15709636 C29.8259873,6.04521982 29.9542774,5.98513284 30.0840653,6.00316277 L31.4155427,6.00316277 C31.5819173,6.02627526 31.7059078,6.17036792 31.7059078,6.34060387 C31.7059078,6.51083983 31.5819173,6.65493249 31.4155427,6.67804498 L31.446652,6.67804498 Z', fill: '#49497F', fillRule: 'nonzero', opacity: '0.5', 'data-jsx': 2090006897
              }),
              _react2.default.createElement('path', { d: 'M21.0706933,43.2099869 L20.9900092,43.2099869 C20.8605423,43.2280168 20.7325696,43.1679299 20.6621628,43.0560533 C20.591756,42.9441768 20.591756,42.8009148 20.6621628,42.6890383 C20.7325696,42.5771617 20.8605423,42.5170748 20.9900092,42.5351047 L21.0706933,42.5351047 C21.4615456,42.534688 21.8510268,42.4881222 22.2313026,42.3963439 C22.3776207,42.4049926 22.501437,42.5092579 22.5369843,42.6537576 C22.5725317,42.7982573 22.5115635,42.9494693 22.3864642,43.0270749 C21.9553316,43.1310627 21.5138019,43.1839758 21.0706933,43.1847577 L21.0706933,43.2099869 Z M18.3336415,43.2099869 L17.0054576,43.2099869 C16.8759907,43.2280168 16.748018,43.1679299 16.6776112,43.0560533 C16.6072044,42.9441768 16.6072044,42.8009148 16.6776112,42.6890383 C16.748018,42.5771617 16.8759907,42.5170748 17.0054576,42.5351047 L18.3336415,42.5351047 C18.4996046,42.5582172 18.6232884,42.7023098 18.6232884,42.8725458 C18.6232884,43.0427818 18.4996046,43.1868744 18.3336415,43.2099869 Z M14.4991334,43.2099869 L13.1709495,43.2099869 C13.0414826,43.2280168 12.9135099,43.1679299 12.8431031,43.0560533 C12.7726963,42.9441768 12.7726963,42.8009148 12.8431031,42.6890383 C12.9135099,42.5771617 13.0414826,42.5170748 13.1709495,42.5351047 L14.4991334,42.5351047 C14.6650965,42.5582172 14.7887803,42.7023098 14.7887803,42.8725458 C14.7887803,43.0427818 14.6650965,43.1868744 14.4991334,43.2099869 Z M10.6564466,43.2099869 L9.33446922,43.2099869 C9.16850612,43.1868744 9.04482235,43.0427818 9.04482235,42.8725458 C9.04482235,42.7023098 9.16850612,42.5582172 9.33446922,42.5351047 L10.6626531,42.5351047 C10.79212,42.5170748 10.9200927,42.5771617 10.9904995,42.6890383 C11.0609063,42.8009148 11.0609063,42.9441768 10.9904995,43.0560533 C10.9200927,43.1679299 10.79212,43.2280168 10.6626531,43.2099869 L10.6564466,43.2099869 Z M24.6269987,41.8160713 C24.4916449,41.812676 24.3715963,41.7268496 24.3227195,41.598533 C24.2738427,41.4702163 24.3057394,41.3246167 24.4035659,41.2294914 C24.7170748,40.9349417 24.9886365,40.5974041 25.2104066,40.2266291 C25.3172208,40.0971495 25.501294,40.0668223 25.6428908,40.1553746 C25.7844876,40.243927 25.8407987,40.4245865 25.775195,40.5798385 C25.5258883,40.9894461 25.2231596,41.3628665 24.8752574,41.6899251 C24.8117737,41.7561278 24.7241488,41.7926606 24.6332052,41.7908421 L24.6269987,41.8160713 Z M26.1662024,38.2082897 C25.9811046,38.2082897 25.8310532,38.0558003 25.8310532,37.867695 L25.8310532,36.4927013 C25.8537962,36.3240416 25.995585,36.1983482 26.1630992,36.1983482 C26.3306134,36.1983482 26.4724022,36.3240416 26.4951452,36.4927013 L26.4951452,37.8424657 C26.4919704,38.0233038 26.3502629,38.1700832 26.1724089,38.1767532 L26.1662024,38.2082897 Z M26.1662024,34.1526892 C25.9811046,34.1526892 25.8310532,34.0001997 25.8310532,33.8120944 L25.8310532,32.4371007 C25.8133116,32.3055302 25.8724379,32.1754782 25.9825257,32.1039274 C26.0926135,32.0323766 26.2335849,32.0323766 26.3436727,32.1039274 C26.4537605,32.1754782 26.5128868,32.3055302 26.4951452,32.4371007 L26.4951452,33.7868651 C26.4952689,33.9701523 26.3526418,34.1206715 26.1724089,34.1274599 L26.1662024,34.1526892 Z M26.1662024,30.0970886 C25.9811046,30.0970886 25.8310532,29.9445991 25.8310532,29.7564938 L25.8310532,28.3815001 C25.8133116,28.2499296 25.8724379,28.1198776 25.9825257,28.0483268 C26.0926135,27.976776 26.2335849,27.976776 26.3436727,28.0483268 C26.4537605,28.1198776 26.5128868,28.2499296 26.4951452,28.3815001 L26.4951452,29.7312646 C26.4952689,29.9145517 26.3526418,30.0650709 26.1724089,30.0718593 L26.1662024,30.0970886 Z M26.1662024,26.041488 C25.9811046,26.041488 25.8310532,25.8889985 25.8310532,25.7008932 L25.8310532,24.3322068 C25.8133116,24.2006363 25.8724379,24.0705843 25.9825257,23.9990335 C26.0926135,23.9274827 26.2335849,23.9274827 26.3436727,23.9990335 C26.4537605,24.0705843 26.5128868,24.2006363 26.4951452,24.3322068 L26.4951452,25.6819713 C26.4919704,25.8628093 26.3502629,26.0095887 26.1724089,26.0162587 L26.1662024,26.041488 Z M26.1662024,21.9858874 C25.9811046,21.9858874 25.8310532,21.8333979 25.8310532,21.6452926 L25.8310532,20.2766062 C25.8133116,20.1450357 25.8724379,20.0149837 25.9825257,19.9434329 C26.0926135,19.8718821 26.2335849,19.8718821 26.3436727,19.9434329 C26.4537605,20.0149837 26.5128868,20.1450357 26.4951452,20.2766062 L26.4951452,21.6263707 C26.4795931,21.7973301 26.3412615,21.929799 26.1724089,21.9354289 L26.1662024,21.9858874 Z M26.1662024,17.9302868 C25.9811046,17.9302868 25.8310532,17.7777973 25.8310532,17.589692 L25.8310532,16.2210056 C25.8537962,16.0523459 25.995585,15.9266525 26.1630992,15.9266525 C26.3306134,15.9266525 26.4724022,16.0523459 26.4951452,16.2210056 L26.4951452,17.5707701 C26.4952689,17.7540572 26.3526418,17.9045765 26.1724089,17.9113648 L26.1662024,17.9302868 Z M26.1662024,13.8746862 C25.9811046,13.8746862 25.8310532,13.7221967 25.8310532,13.5340914 L25.8310532,12.1717124 C25.8537962,12.0030527 25.995585,11.8773593 26.1630992,11.8773593 C26.3306134,11.8773593 26.4724022,12.0030527 26.4951452,12.1717124 L26.4951452,13.5214768 C26.4919704,13.7023148 26.3502629,13.8490942 26.1724089,13.8557642 L26.1662024,13.8746862 Z M25.8310532,9.84431481 C25.6942367,9.84390325 25.5714023,9.75901873 25.5207299,9.62986626 C25.3648289,9.24050992 25.1559075,8.87532635 24.9000832,8.54500886 C24.8052681,8.39657346 24.8381077,8.19907508 24.975651,8.09054144 C25.1131944,7.9820078 25.3096126,7.99860187 25.4276329,8.12872638 C25.7187023,8.51354924 25.9548125,8.93823343 26.1289636,9.39018846 C26.1633862,9.47369396 26.1630072,9.56781745 26.1279132,9.65103383 C26.0928193,9.73425022 26.026012,9.7994419 25.9427696,9.83170019 C25.9068874,9.84452402 25.8690885,9.85092621 25.8310532,9.85062212 L25.8310532,9.84431481 Z M23.0940014,7.07540554 C23.0529859,7.08326027 23.0108876,7.08326027 22.9698721,7.07540554 C22.5856518,6.91561792 22.1832289,6.80543137 21.772024,6.7474254 C21.6102323,6.70140943 21.5069673,6.54076574 21.5305075,6.37171169 C21.5540478,6.20265764 21.6971183,6.07743915 21.865121,6.07885049 C22.33173,6.14460987 22.7883715,6.26963088 23.2243372,6.45098181 C23.3471426,6.52458224 23.4106877,6.66908123 23.3827273,6.81115468 C23.3547669,6.95322813 23.241422,7.06177429 23.1002079,7.08171285 L23.0940014,7.07540554 Z M19.1839274,6.67804498 L17.8247112,6.67804498 C17.6587481,6.65493249 17.5350643,6.51083983 17.5350643,6.34060387 C17.5350643,6.17036792 17.6587481,6.02627526 17.8247112,6.00316277 L19.1528951,6.00316277 C19.282362,5.98513284 19.4103347,6.04521982 19.4807415,6.15709636 C19.5511483,6.26897291 19.5511483,6.41223484 19.4807415,6.52411138 C19.4103347,6.63598793 19.282362,6.69607491 19.1528951,6.67804498 L19.1839274,6.67804498 Z M15.0260551,6.67804498 L13.6668389,6.67804498 C13.537372,6.69607491 13.4093993,6.63598793 13.3389925,6.52411138 C13.2685856,6.41223484 13.2685856,6.26897291 13.3389925,6.15709636 C13.4093993,6.04521982 13.537372,5.98513284 13.6668389,6.00316277 L14.9950228,6.00316277 C15.1609859,6.02627526 15.2846696,6.17036792 15.2846696,6.34060387 C15.2846696,6.51083983 15.1609859,6.65493249 14.9950228,6.67804498 L15.0260551,6.67804498 Z M10.7336613,6.67804498 L9.38065153,6.67804498 C9.25118463,6.69607491 9.1232119,6.63598793 9.0528051,6.52411138 C8.9823983,6.41223484 8.9823983,6.26897291 9.0528051,6.15709636 C9.1232119,6.04521982 9.25118463,5.98513284 9.38065153,6.00316277 L10.7088354,6.00316277 C10.8747985,6.02627526 10.9984823,6.17036792 10.9984823,6.34060387 C10.9984823,6.51083983 10.8747985,6.65493249 10.7088354,6.67804498 L10.7336613,6.67804498 Z', fill: '#49497F', fillRule: 'nonzero', opacity: '0.5', transform: 'translate(17.749129, 24.606575) scale(-1, 1) translate(-17.749129, -24.606575) ', 'data-jsx': 2090006897
              })
            ),
            frontIcon
          )
        ),
        _react2.default.createElement(_JSXStyle, {
          styleId: 2090006897,
          css: 'svg[data-jsx="2090006897"]{cursor:pointer}'
        })
      );
    }
  }]);

  return Exam;
}(_react2.default.PureComponent);

Exam.defaultProps = {
  size: 64,
  insideIcon: null,
  frontIcon: null
};

Exam.propTypes = {
  size: _propTypes2.default.string,
  insideIcon: _propTypes2.default.node,
  frontIcon: _propTypes2.default.node
};

exports.default = Exam;