'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

import _JSXStyle from 'styled-jsx/style';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var GenericContent = function (_React$PureComponent) {
  _inherits(GenericContent, _React$PureComponent);

  function GenericContent() {
    _classCallCheck(this, GenericContent);

    return _possibleConstructorReturn(this, (GenericContent.__proto__ || Object.getPrototypeOf(GenericContent)).apply(this, arguments));
  }

  _createClass(GenericContent, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          insideIcon = _props.insideIcon,
          frontIcon = _props.frontIcon,
          iconColor = _props.iconColor;

      return _react2.default.createElement(
        'svg',
        { width: size, height: size, viewBox: '0 0 64 64', xmlns: 'http://www.w3.org/2000/svg', 'data-jsx': 2090006897
        },
        _react2.default.createElement(
          'defs',
          {
            'data-jsx': 2090006897
          },
          _react2.default.createElement(
            'linearGradient',
            { x1: '100%', y1: '100%', x2: '0%', y2: '100%', 'data-jsx': 2090006897
            },
            _react2.default.createElement('stop', { stopColor: '#FFFFFF', offset: '0%', 'data-jsx': 2090006897
            }),
            _react2.default.createElement('stop', { stopColor: '#FFFFFF', stopOpacity: '0', offset: '100%', 'data-jsx': 2090006897
            })
          ),
          _react2.default.createElement(
            'linearGradient',
            { x1: '50%', y1: '0%', x2: '50%', y2: '100%', 'data-jsx': 2090006897
            },
            _react2.default.createElement('stop', { stopColor: '#FFFFFF', offset: '0%', 'data-jsx': 2090006897
            }),
            _react2.default.createElement('stop', { stopColor: '#FFFFFF', stopOpacity: '0', offset: '100%', 'data-jsx': 2090006897
            })
          )
        ),
        _react2.default.createElement(
          'g',
          { stroke: 'none', strokeWidth: '1', fill: 'none', fillRule: 'evenodd', 'data-jsx': 2090006897
          },
          _react2.default.createElement(
            'g',
            {
              'data-jsx': 2090006897
            },
            _react2.default.createElement(
              'g',
              {
                'data-jsx': 2090006897
              },
              _react2.default.createElement('rect', { fill: iconColor, fillRule: 'evenodd', x: '5', y: '4', width: '40', height: '48', rx: '6', 'data-jsx': 2090006897
              }),
              insideIcon,
              _react2.default.createElement('path', { d: 'M42.1849861,10 C41.7385345,10 41.376614,9.64893715 41.376614,9.21587917 C41.4289719,8.78766673 41.2854127,8.35868696 40.9837539,8.04194535 C40.6820952,7.72520374 40.2525863,7.55246208 39.8083721,7.56922544 C39.3619205,7.56922544 39,7.21816259 39,6.78510462 C39,6.35204664 39.3619205,6.00098379 39.8083721,6.00098379 C40.6825876,5.97934595 41.525852,6.31547223 42.1317912,6.92710158 C42.7377303,7.53873092 43.0504285,8.36942256 42.9933582,9.21587917 C42.9933582,9.42384095 42.9081907,9.62328515 42.7565915,9.77033633 C42.6049923,9.91738751 42.3993797,10 42.1849861,10 Z', fill: '#FFFFFF', fillRule: 'nonzero', opacity: '0.800000012', 'data-jsx': 2090006897
              }),
              _react2.default.createElement('path', { d: 'M36.365312,7.60000002 L22.634688,7.60000002 C22.2841595,7.60000002 22,7.24182782 22,6.80000001 C22,6.35817221 22.2841595,6 22.634688,6 L36.365312,6 C36.7158405,6 37,6.35817221 37,6.80000001 C37,7.24182782 36.7158405,7.60000002 36.365312,7.60000002 Z', fill: '#b4b4e3', fillRule: 'nonzero', opacity: '0.5', 'data-jsx': 2090006897
              }),
              _react2.default.createElement('path', { d: 'M41.8,24 C41.3581722,24 41,23.6823894 41,23.2905969 L41,12.7094031 C41,12.3176106 41.3581722,12 41.8,12 C42.2418278,12 42.6,12.3176106 42.6,12.7094031 L42.6,23.2905969 C42.6,23.6823894 42.2418278,24 41.8,24 Z', fill: '#b4b4e3', fillRule: 'nonzero', opacity: '0.5', 'data-jsx': 2090006897
              })
            ),
            frontIcon
          )
        ),
        _react2.default.createElement(_JSXStyle, {
          styleId: 2090006897,
          css: 'svg[data-jsx="2090006897"]{cursor:pointer}'
        })
      );
    }
  }]);

  return GenericContent;
}(_react2.default.PureComponent);

GenericContent.defaultProps = {
  size: 64,
  insideIcon: null,
  frontIcon: null,
  iconColor: null
};

GenericContent.propTypes = {
  size: _propTypes2.default.string,
  insideIcon: _propTypes2.default.string,
  frontIcon: _propTypes2.default.node,
  iconColor: _propTypes2.default.string
};

exports.default = GenericContent;